Commit 066357aa authored by Thomas Haller's avatar Thomas Haller

build: bump C standard to (gcc's) C11

We already import systemd code which is C11. To get this even
to build, we need workaround like patching import of <uchar.h>.

Also, the libraries from c-util and nettools are C11. We cannot even
compile them in C99 mode (and didn't do that either).

It's time to bump the version. We need C11 from now on (or better: gcc's
dialect of it).

Also, note that since nettools/nacd is not optional, we could not even
build NetworkManager without a C11 compiler. So, just use it everywhere.
parent ef53b47e
......@@ -105,7 +105,7 @@ endif
endif
dflt_cppflags = -std=gnu99
dflt_cppflags = -std=gnu11
###############################################################################
......@@ -222,7 +222,10 @@ shared_libcsiphash_la_SOURCES = \
noinst_LTLIBRARIES += shared/libcrbtree.la
shared_libcrbtree_la_CFLAGS = $(AM_CFLAGS) -std=c11
shared_libcrbtree_la_CFLAGS = \
$(AM_CFLAGS) \
-std=c11 \
$(NULL)
shared_libcrbtree_la_CPPFLAGS = \
$(CODE_COVERAGE_CFLAGS) \
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment